{% extends 'base.html' %} {% block content %}

<!-- list pizzas -->
<div class="pizza_container bg-base rounded mt-2 p-4">
    <div class="alert alert-warning" role="alert">
        Sajnálatos módon jelenleg csak egy pizzát tudunk fogadni rendelésenként.
    </div>
    <div class="cart">
        <p>Kosárban lévő pizzák:</p>
        {% if pizza is not none %}
        <ul class="list-group">
            <li class="list-group-item list-group-item-with-button">
                {{pizza.name}} - {{pizza.price}} Ft
                <form action="/cart-clear" method="post">
                    <button class="btn btn-danger" type="submit">Törlés</button>
                </form>
            </li>
        </ul>
        {% else %}
        <p>Nincs pizzád a kosárban.</p>
        {% endif %}
    </div>
    {% if pizza is not none %}
    <div class="cart">
        <br />
        <h5>Szállítási adatok</h5>
        <form action="/order" method="post">
            <input
                type="text"
                name="pizza"
                value="{{pizza.id}}"
                hidden
                id="{{pizza.id}}"
                required
            />
            <label for="name" class="form-label"></label>
            <div class="input-group mb-3">
                <span class="input-group-text" id="basic-addon3"
                    >Szállítási név</span
                >
                <input
                    type="text"
                    class="form-control"
                    id="name"
                    name="name"
                    placeholder="Név"
                    aria-describedby="basic-addon3"
                    required
                />
            </div>

            <label for="phone" class="form-label"></label>
            <div class="input-group mb-3">
                <span class="input-group-text" id="basic-addon3"
                    >Telefonszám</span
                >
                <input
                    type="tel"
                    class="form-control"
                    id="phone"
                    name="phone"
                    placeholder="+36xxxxxxxxx"
                    aria-describedby="basic-addon3"
                    required
                    pattern="\+?(\d{11})$"
                />
            </div>

            <label for="email" class="form-label"></label>
            <div class="input-group mb-3">
                <span class="input-group-text" id="basic-addon3">Email</span>
                <input
                    type="email"
                    class="form-control"
                    id="email"
                    name="email"
                    placeholder="valami@valami.com"
                    aria-describedby="basic-addon3"
                    required
                />
            </div>

            <label for="address" class="form-label"></label>
            <div class="input-group mb-3">
                <span class="input-group-text" id="basic-addon3"
                    >Szállítási cím</span
                >
                <input
                    type="text"
                    class="form-control"
                    id="address"
                    name="address"
                    placeholder="xxxx, Város, Utca 1."
                    aria-describedby="basic-addon3"
                    pattern="\d{4}, [A-z]* .*"
                    required
                />
            </div>
            <button type="submit" class="btn btn-success">
                Rendelés leadása
            </button>
        </form>
    </div>
    {% endif %}
</div>

{% endblock %}
